------------------------------------------------------------------------------------
--Name:  	201211[简体征服][任务脚本]战士觉醒任务-击败魔君
--Creator:	郑洵
--Created:	2020-12-11
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>102


-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(70,71)
------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
-- local hero = CppScriptMgr:QueryHero()
-- 创建人物接口：CppScriptMgr:AddPlayer(外观look, 坐标x, 坐标y, "名字", id, 角色类型luaPlayerType)
-- local player = CppScriptMgr:AddPlayer(276, 325, 345, "新手勇士", 4003000001)


-- 创建，玩家
local hero = CppScriptMgr:QueryHero()
hero:SetRWeapon(0,0,1)
hero:SetLWeapon(0,0,1)

hero:SetPos(69,77)
hero:SetDir(4)
local sex = hero:GetSex()
local touxiang = "NPCBust_npc27064"
if sex == 2 then 
	touxiang = "NPCBust_npc185"
end


-- 创建，铁拳魔君
local Boss = CppScriptMgr:AddPlayer(146,69,69, "Iron Fist")
Boss:SetZoomPercent(200)
Boss:SetDir(0)

-- 铁拳魔君（冒泡）
Boss:Say("I`m sorry, your highess. I failed you!",5000)
CppScriptMgr:WaitMilSec(2000)

-- 铁拳魔君死亡（播放死亡动作）
Boss:SetAction(330)
CppScriptMgr:WaitMilSec(1500)
Boss:SetPos(1000,1000)
local Boss2 = CppScriptMgr:AddSimplePlayer(46120,69,69, "");
Boss2:SetZoomPercent(200)
Boss2:SetDir(0)

-- 变暗
-- CppScriptMgr:SetDarkScreen(2000)
-- CppScriptMgr:WaitMilSec(1000)

-- 变亮
-- CppScriptMgr:SetLightScreen(2000)
-- CppScriptMgr:WaitMilSec(1000)


-- 妖皇（有半身像）说话
CppScriptMgr:NpcCallOut("It`s just a little setback.\n\n\n\n                                     Click ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc10086", 150, 430, "Demon King", 250, 655)
CppScriptMgr:WaitMilSec(1500)


-- 一道光效打在主角身上，主角受伤半跪在地上，随后铁拳魔君被救走。
local effectObj1 = CppScriptMgr:AddEffect("xidag_bafi",69,77)
CppScriptMgr:WaitMilSec(750)

hero:SetAction(220)
hero:SetAction(220)
CppScriptMgr:WaitMilSec(1000)

hero:SetAction(220)
hero:SetAction(220)
CppScriptMgr:WaitMilSec(1000)

CppScriptMgr:ClearEffect(effectObj1)

Boss2:SetPos(1000,1000)
hero:SetAction(220)
hero:SetAction(220)
CppScriptMgr:WaitMilSec(1000)


-- 花木兰出现，将主角救起。
local General1 = CppScriptMgr:AddSimplePlayer(1056710,69,71, "Hua Mulan");
General1:SetZoomPercent(130)
General1:SetDir(0)
hero:SetAction(220)
hero:SetAction(220)
CppScriptMgr:WaitMilSec(1000)

-- 治愈光效
local effectObj2 = CppScriptMgr:AddEffect("zf2-e281",69,77)
hero:SetAction(220)
hero:SetAction(100)
CppScriptMgr:WaitMilSec(1500)

CppScriptMgr:ClearEffect(effectObj2)
CppScriptMgr:WaitMilSec(500)


-- 主角（有半身像）说话
CppScriptMgr:NpcCallOut("What a powerful force!\n\n\n\n                                     Click ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, touxiang, 150, 430, hero:GetName(), 250, 655)
CppScriptMgr:WaitMilSec(3000)

-- 花木兰（有半身像）说话
CppScriptMgr:NpcCallOut("It`ll become your motivation to keep getting stronger and fighting for glory.\n\n\n\n                                     Click ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc27641", 150, 430, "Hua Mulan", 250, 655)
CppScriptMgr:WaitMilSec(5000)





